SMI_CANONICALISE(1)

NAME
smi_canonicalise - canonicalise SMILES

DESCRIPTION
USAGE

    smi_canonicalise [<args>] [<files>]

DESCRIPTION

    smi_canonicalise reads in files with SMILES descriptors and outputs them according to stable atom ordering established by Graph::Nauty. Moieties, if more than one, are ordered in lexicographic order.

OPTIONS

--infer-hydrogens
    infer hydrogen atom counts according to valency rules [default]

--no-infer-hydrogens
    do not infer hydrogen atom counts

--aromatise
    aromatise Kekule structures (experimental)

--no-aromatise
    do not attempt to aromatise [default]

--kekulise
    kekulise simple aromatic structures (experimental)

--no-kekulise
    do not attempt to kekulise [default]

--random-order
    instead of canonical, output SMILES in random order (useful for testing)

--help
    print usage message and exit